## GVirInterface GVirInterface |

## Functions

const gchar * | gvir_interface_get_name ()
GVirConfigInterface * | gvir_interface_get_config ()

## Properties

GVirInterfaceHandle * | handle | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GVirInterface

## Description

## Functions

### gvir_interface_get_name ()

    const gchar *
    gvir_interface_get_name (GVirInterface *iface);

### gvir_interface_get_config ()

    GVirConfigInterface *
    gvir_interface_get_config (GVirInterface *iface,
                               guint flags,
                               GError **err);

#### Parameters

iface | the interface |
flags | the flags |
err | Place-holder for possible errors |

#### Returns

the config. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

## Types and Values

## Property Details

### The `“handle”` property

      “handle”                   GVirInterfaceHandle *

The interface handle.

Flags: Read / Write / Construct Only